# Generated from deppbot-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name deppbot

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: deppbot - Automated Security and Dependency Updates for Ruby Apps
License: MIT
URL: https://www.deppbot.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
deppbot ensures that your Ruby applications are kept updated, always! Based on
your configured schedule, deppbot will run bundle update on your Ruby app and
send the result as a Pull Request to GitHub. deppbot will also check your app
periodically for any RubyGem vulnerabilities and fix it automagically. As seen
on https://github.com/integrations/deppbot, https://stackshare.io/deppbot.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/deppbot.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.1-1
- Initial package
